Package org.apache.lucene.demo.facet

## Class ExpressionAggregationFacetsExample

- java.lang.Object
- - org.apache.lucene.demo.facet.ExpressionAggregationFacetsExample

-     public class ExpressionAggregationFacetsExample
      extends Object

  Shows facets aggregation by an expression.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpressionAggregationFacetsExample()` | Empty constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` | Runs the search and drill-down examples and prints the results.
    `FacetResult` | `runSearch()` | Runs the search example.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionAggregationFacetsExample

          public ExpressionAggregationFacetsExample()

      Empty constructor

  - ### Method Detail

    - #### runSearch

          public FacetResult runSearch()
                                throws IOException,
                                       ParseException

      Runs the search example.
      Throws:
        `IOException`
        `ParseException`

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Runs the search and drill-down examples and prints the results.
      Throws:
        `Exception`